<?php
include "setup.php";
session_start();
error_reporting(E_ALL ^ E_NOTICE);
header("Expires: Mon, 26 Jul 1990 05:00:00 GMT");
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");
header('Content-Type: text/html; charset=utf-8');
ob_start(); 
include $setup['path']."/pc_inc/functions.php"; 
include $setup['path']."/pc_inc/pc_functions.php"; 
include $setup['path']."/pc_inc/gallery_image_functions.php"; 
require "pc_icons.php"; 
$dbcon = dbConnect($setup);
securityCheck();
$site_setup = doSQL("pc_settings", "*", "");
$photo_setup = doSQL("photo_setup", "*", "");
if(!empty($_SESSION['pc_language'])) {
	$tr = doSQL("pc_texts LEFT JOIN pc_texts2 ON pc_texts.id=pc_texts2.lang_id ", "*", "WHERE id='".$_SESSION['pc_language']."' ");
} else {
	$tr = doSQL("pc_texts LEFT JOIN pc_texts2 ON pc_texts.id=pc_texts2.lang_id ", "*", "WHERE id='".$site_setup['default_language']."' ");
}
foreach($_REQUEST AS $id => $value) {
	$_REQUEST[$id] = addslashes(stripslashes(strip_tags($value)));
	$_REQUEST[$id] = sql_safe("".$_REQUEST[$id]."");
}

if($_REQUEST['viewGallery']!=="favs") { 
	$gallery = doSQL("galleries", "*", "WHERE gal_id='".$_REQUEST['viewGallery']."' ");
	if(empty($gallery['gal_id'])) { die("no gallery to display"); } 
	$gallery = doSQL("galleries", "*, date_format(DATE_ADD(gal_expire, INTERVAL 0 HOUR), '".$site_setup['date_format']." ')  AS gal_expire_show, date_format(DATE_ADD(gal_date, INTERVAL 0 HOUR), '".$site_setup['date_format']." ')  AS gal_date_show", " WHERE gal_id='".$gallery['gal_id']."' ");
	$returnval = galleryTree($gallery,"pagetitle");
	$main_gallery = $returnval[2];
	if(empty($main_gallery)) { 
		$toplevelgallery = true;
		$main_gallery = $gallery['gal_id'];
		$gal_client = $gallery['gal_client'];
		$gal_expire_show = $gallery['gal_expire_show'];
		$gal_date_show = $gallery['gal_date_show'];
		$gal_date = $gallery['gal_date'];
		$gal_eb_through = $gallery['gal_eb_through'];
		$gal_status = $gallery['gal_status'];
		$gal_eb_dis_type = $gallery['gal_eb_dis_type'];
		$gal_eb_amount = $gallery['gal_eb_amount'];
		$gal_eb_min = $gallery['gal_eb_min'];
		$gal_eb_use_default = $gallery['gal_eb_use_default'];

		$gal_discount = $gallery['gal_discount'];
		$gal_pg = $gallery['gal_pg'];
		$gal_expire = $gallery['gal_expire'];
		$gal_style = $gallery['gal_style'];
		$gal_invite = $gallery['gal_allow_invite'];
		$gal_search = $gallery['gal_search'];
		$gal_under = $gallery['gal_under'];
		$gal_disble_fb = $gallery['gal_disable_fb'];
	} else {
		$mg = doSQL("galleries", "*, date_format(DATE_ADD(gal_date, INTERVAL 0 HOUR), '".$site_setup['date_format']." ')  AS gal_date_show, date_format(DATE_ADD(gal_expire, INTERVAL 0 HOUR), '".$site_setup['date_format']." ')  AS gal_expire_show", "WHERE gal_id='$main_gallery' ");
		$gal_client = $mg['gal_client'];
		$gal_expire = $mg['gal_expire'];
		$gal_date = $mg['gal_date'];
		$gal_eb_through = $mg['gal_eb_through'];
		$gal_status = $mg['gal_status'];
		$gal_eb_dis_type = $mg['gal_eb_dis_type'];
		$gal_eb_amount = $mg['gal_eb_amount'];
		$gal_eb_min = $mg['gal_eb_min'];
		$gal_eb_use_default = $mg['gal_eb_use_default'];

		$gal_discount = $mg['gal_discount'];
		$gal_expire_show = $mg['gal_expire_show'];
		$gal_date_show = $mg['gal_date_show'];
		$gal_invite = $mg['gal_allow_invite'];
		$gal_search = $mg['gal_search'];
		if(!empty($gallery['gal_style'])) {
			$gal_style = $gallery['gal_style'];
		} else {
			$gal_style = $mg['gal_style'];
		}

		$gal_pg = $mg['gal_pg'];
		$gal_under = $mg['gal_under'];
		$gal_disble_fb = $mg['gal_disable_fb'];

	}
}
$pics_where = " WHERE pics.pic_gal='".$gallery['gal_id']."' ";
if($_REQUEST['viewGallery'] == "favs") { 
	$total_images = countIt("pc_favs, pics LEFT JOIN galleries ON pics.pic_gal=galleries.gal_id",  "WHERE pc_favs.fav_client='".$_SESSION['pc_client_id']."' AND pics.pic_id=pc_favs.fav_pic ORDER BY pics.pic_id ASC");

} else { 
	$total_images = countIt("pics", "WHERE pic_gal='".$gallery['gal_id']."'");
}

if($gallery['perrow'] > 0) {
	$perRow = $gallery['perrow'];
} else {
	$perRow = $photo_setup['perrow'];
}
if($gallery['perpage'] > 0) {
	$perCols = $gallery['perpage'];
} else {
	$perCols = $photo_setup['thumbs_per_page'];
}
if(empty($_REQUEST['page'])) {
	$vp = "1";
} else {
	$vp = $_REQUEST['page'];
}
$per_page = $perCols;
$limit_page = (($vp - 1) * $per_page);
$x = 1;
$NPvars = array("do=photocart", "viewGallery=".$gallery['gal_id']."");
$x = 1;


if(!empty($_REQUEST['q'])) {
	$ret = gallerySearchQ($main_gallery,"".$gallery['gal_id']."");

	$total_images = $ret['total_results'];
	$and_q = $ret['and_q'];
	if($_REQUEST['ingals']>0) {
		$pics_where  = $ret['pics_where'];
	}
//	print "<li>$pics_where - main gallery: $main_gallery";
	$res = str_replace("[TOTAL_IMAGES]", $total_images, $tr['search_results']);
	$res = str_replace("[SEARCH_TERM]", stripslashes($_REQUEST['q']),$res);
}
// print "<h1>main gallery: ".$main_gallery." pics where: $pics_where </h1>";

$IC = 1;
$thumb_nails = array();
$max_size = 0;
if((countIt("galleries", "WHERE gal_sub_gal='".$gallery['gal_id']."' ")>0)AND($gallery['gal_sub_gal']=="0")AND($total_images == 1)AND(empty($_REQUEST['q']))==true) { $galHome = true; $limit_page = 0; $per_page = 0; } 
?>
<script>
 $(document).ready(function(){

	var elems = $(".mobilePhoto");
	var lastID = elems.length - 1;
	$(".mobilePhoto").each(function(i){
		var this_id = this.id;
       	var this_src =  $("#"+this_id).attr("src"); // width from the img src tag ww
		var image = new Image();
		image.onload = function() {
		$("#"+this_id+"-container").fadeIn('fast', function() {
      });
	};
	image.src =this_src;
      }).promise().done( function(){ 
		
	} );
//	 mytips(".tip","tooltip");
//	 myenlarge(".enlarge","tooltip");
 });
</script>
<?php if($vp == 1) { ?>
<div id="page-1" style="float: left;"></div>
<?php } ?>

<?php
	if($vp > 1) { 
		$position = ($vp- 1) * $per_page;
	} else { 
		$position = 0;
	}
if($_REQUEST['viewGallery'] == "favs") { 
	$pics = whileSQL("pc_favs, pics LEFT JOIN galleries ON pics.pic_gal=galleries.gal_id", "*", "WHERE pc_favs.fav_client='".$_SESSION['pc_client_id']."' AND pics.pic_id=pc_favs.fav_pic ORDER BY pics.pic_id ASC  LIMIT $limit_page, $per_page");
} else { 
	$pics = whileSQL("pics LEFT JOIN galleries ON pics.pic_gal=galleries.gal_id", "*, date_format(DATE_ADD(pic_date, INTERVAL ".$site_setup['time_diff']." HOUR), '".$site_setup['date_format']." ')  AS pic_date",  "$pics_where $and_q  ORDER BY pic_order ASC LIMIT $limit_page, $per_page" );
}
while($pic = mysql_fetch_array($pics)) {
	$size = @GetImageSize("".$setup['path']."/".$setup['gallery_folder']."/".$pic['gal_folder']."/".$pic['pic_th'].""); 
//		$dsize = @GetImageSize("".$setup['path']."/".$setup['gallery_folder']."/".$pic['gal_folder']."/".$pic['pic_pic'].""); 
	if($size[0] > $max_size_width) { $max_size_width = $size[0]; } 
	if($size[1] > $max_size_height) { $max_size_height = $size[1]; } 
	array_push($thumb_nails,$pic);
		$position++;
}

$this_in_array = 0;
$total_thumbs = count($thumb_nails);
if($max_size_width < 100) { $max_size_width = 100; } 

foreach($thumb_nails AS $pic) { ?>

<div id="mobile-<?php print $pic['pic_id'];?>-container" class="mobilePhotoContainer" style="position: relative;">
<div style="position: relative;">
	<img id="mobile-<?php print $pic['pic_id'];?>" src="<?php print "image.php?image=".$pic['pic_id']."";?>" style="width: 100%; height: auto;"  class="mobilePhoto">
	<div style="position: absolute; width: 100%; height: 100%;  z-index: 2; top: 0; left: 0;"><img src="pcicons/photo.gif" style=" position: absolute;width: 100%; height: 100%; z-index: 3; float: left; display: block;" width="100%" height="100%"></div>
</div>
<div class="pageContent" style="text-align: center; overflow: hidden;"><?php print $pic['pic_org'];?></div>

<div class="pageContent" id="mobileActions">
<ul>
<?php if(isLoggedIn()) { 
		$s = "d";
		$infav = countIt("pc_favs", "WHERE fav_pic='".$pic['pic_id']."' AND fav_client='".$_SESSION['pc_client_id']."' ");
		if($infav > 0) { 
			$add = "none";
			$remove = "inline";
		} else {
			$add = "inline";
			$remove = "none";
		}
		if($_REQUEST['viewGallery'] == "favs") {
			$removeThumb = 1;
		}

		print  "<li style=\"display: ".$remove.";\" id=\"fav-".$pic['pic_id']."-".$s."-on\"><a href=\"javascript:doFavorites('".$pic['pic_id']."','fav-".$pic['pic_id']."','remove','$s','$removeThumb');\" class=\"tip\" title=\"".$tr['vi_remove_from_favorites']."\">".icon_favs_on." ".showText('vi_add_to_favorites')."</a></li>";
		print  "<li  style=\"display: ".$add.";\" id=\"fav-".$pic['pic_id']."-".$s."-off\"><a href=\"javascript:doFavorites('".$pic['pic_id']."','fav-".$pic['pic_id']."','add','$s');\" class=\"tip\" title=\"".$tr['vi_add_to_favorites']."\">".icon_favs_off." ".showText('vi_add_to_favorites')."</a></li>";
}
?>
<?php  print freeDownload($pic,true); ?>

</ul>
<div class="cssClear"></div></div>
</div>
<?php } ?>


<?php
if($per_page > 0) { 
	if(($total_images / $per_page) > $vp) { ?>
	<div id="page-<?php print $vp + 1;?>" style="float: left;"></div>
	<?php } 
}
?>
